Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

New. You can now use tycho to build Odysseus modules.

Important: Due to a bug in tycho currently maven version 3.6.2 cannot be used. So use 3.6.1 instead.

If you want to create a module that should sometimes be added to the Odysseus eco system (building and updatesite) you need to follow some rules for the tycho build.

...

Code Block
languagexml
<?xml version="1.0" encoding="UTF-8"?>
<extensions>
  <extension>
    <groupId>org.eclipse.tycho.extras</groupId>
    <artifactId>tycho-pomless</artifactId>
    <version>1.24.0</version>
  </extension>
</extensions>

...